/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

<template>
  <Layout>
    <template #header> </template>
    <template>
      <ContentTextEdit :xmlJson="xmlJson"/>
    </template>
    <template #footer> </template>
  </Layout>
</template>

<script>
import Layout from "./DetailContentLayout.vue";
import ContentTextEdit from "./DetailContentTextEdit.vue";

import { mapState } from "vuex";

export default {
  props: {
    xmlJson: {
      type: Object,
      required: true,
    },
  },
  components: {
    Layout,
    ContentTextEdit,
  },
};
</script>
